<?php

Route::group(['domain'=>env('CHANNEL_DOMAIN'),'namespace' => 'App\Http\Controllers\Channel\Ali', 'prefix' => 'api/ali','middleware'=>'ChannelApiAuth'], function () {

    Route::group(['middleware'=>'ChannelOperateRecord'],function (){
        //今日数据
        Route::get('todayData', 'StasticalController@todayData');
        //统计数据
        Route::get('statisticalData', 'StasticalController@statisticalData');

        Route::get('sendLink', 'StasticalController@sendLink');
        
        // 创建派单
        Route::get('createOrder', 'AliSendOrderController@createOrder');
        // 派单列表
        Route::get('getSendOrders', 'AliSendOrderController@getSendOrders');
        
        // 派单数据统计
        Route::get('getSendOrderStat', 'AliSendOrderStatController@getSendOrderStat');
    });
});


Route::group(['domain'=>env('CHANNEL_DOMAIN'),'namespace' => 'App\Http\Controllers\Channel\Ali', 'prefix' => 'ali',], function () {
    //二维码
    Route::get('qrcode', 'StasticalController@qrcode');
    Route::get('yun', 'StasticalController@page');
});
